#include <math.h>
#include <algorithm>
#include <iostream>

using namespace std;

int main()
{
    int x1[3];
    int y1[3];
    int x2[3];
    int y2[3];
    cin >> x1[0] >> y1[0] >> x1[1] >> y1[1] >> x1[2] >> y1[2];
    cin >> x2[0] >> y2[0] >> x2[1] >> y2[1] >> x2[2] >> y2[2];

    double k1[3];
    double k2[3];

    for (int i = 0; i < 3; i++) {
        // hypot funktsioon leiab Pythagorase teoreemi abil tisnurkse kolmnurga hpotenuusi
        k1[i] = hypot(x1[i] - x1[(i + 1) % 3], y1[i] - y1[(i + 1) % 3]);
        k2[i] = hypot(x2[i] - x2[(i + 1) % 3], y2[i] - y2[(i + 1) % 3]);
    }

    // et vltida kigi kombinatsioonide vrdlemist, sordime kljed
    sort(k1, k1 + 3);
    sort(k2, k2 + 3);

    double r[3];
    // leiame klgede suhted
    for (int i = 0; i < 3; i++)	{
        r[i] = k1[i] / k2[i];
    }

    double epsilon = 0.0000001;
    // vrdleme suhteid omavahel, kasutades epsiloni
    if (abs(r[0] - r[1]) < epsilon && abs(r[0] - r[2]) < epsilon) {
        cout << r[0];
    }
    else {
        cout << -1;
    }
}

