#include <algorithm>
#include <iostream>

using namespace std;

int main()
{
    int x1[3];
    int y1[3];
    int x2[3];
    int y2[3];
    cin >> x1[0] >> y1[0] >> x1[1] >> y1[1] >> x1[2] >> y1[2];
    cin >> x2[0] >> y2[0] >> x2[1] >> y2[1] >> x2[2] >> y2[2];

    // kljepikkuste ruudud
    double kr1[3];
    double kr2[3];

    for (int i = 0; i < 3; i++) {
        int dx = x1[i] - x1[(i + 1) % 3];
        int dy = y1[i] - y1[(i + 1) % 3];
        kr1[i] = dx*dx + dy*dy;
        dx = x2[i] - x2[(i + 1) % 3];
        dy = y2[i] - y2[(i + 1) % 3];
        kr2[i] = dx*dx + dy*dy;
    }

    sort(kr1, kr1 + 3);
    sort(kr2, kr2 + 3);

    // kasutame asjaolu, et a/b = c/d <=> a*d = b*c <=> a^2*d^2 = b^2*c^2
    if (kr1[0] * kr2[1] == kr1[1] * kr2[0] && kr1[0] * kr2[2] == kr1[2] * kr2[0]) {
        cout << sqrt((double)kr1[0] / kr2[0]);
    }
    else {
        cout << -1;
    }
}

